FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
Fl_Pixmap Class Reference

The Fl_Pixmap class supports caching and drawing of colormap (pixmap) images, including transparency. More...

`#include <Fl_Pixmap.H>`

Inheritance diagram for Fl_Pixmap:

List of all members.

## Public Member Functions
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the FLTK color value c.
virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image.
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image.
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale.
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box.
void | draw (int X, int Y)
| Draws the image.
| Fl_Pixmap (char *const *D)
| The constructors create a new pixmap from the specified XPM data.
| Fl_Pixmap (uchar *const *D)
| The constructors create a new pixmap from the specified XPM data.
| Fl_Pixmap (const char *const *D)
| The constructors create a new pixmap from the specified XPM data.
| Fl_Pixmap (const uchar *const *D)
| The constructors create a new pixmap from the specified XPM data.
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item.
virtual void | uncache ()
| If the image has been cached for display, delete the cache data.
virtual | ~Fl_Pixmap ()
| The destructor free all memory and server resources that are used by the pixmap.
## Public Attributes
int | alloc_data
## Protected Member Functions
void | measure ()
## Friends
class | Fl_GDI_Graphics_Driver
class | Fl_GDI_Printer_Graphics_Driver
class | Fl_Quartz_Graphics_Driver
class | Fl_Xlib_Graphics_Driver

## Detailed Description

The Fl_Pixmap class supports caching and drawing of colormap (pixmap) images, including transparency.

## Constructor & Destructor Documentation

Fl_Pixmap::Fl_Pixmap | ( | char *const * | D | ) | `[inline, explicit]`

The constructors create a new pixmap from the specified XPM data.

Fl_Pixmap::Fl_Pixmap | ( | uchar *const * | D | ) | `[inline, explicit]`

The constructors create a new pixmap from the specified XPM data.

Fl_Pixmap::Fl_Pixmap | ( | const char *const * | D | ) | `[inline, explicit]`

The constructors create a new pixmap from the specified XPM data.

Fl_Pixmap::Fl_Pixmap | ( | const uchar *const * | D | ) | `[inline, explicit]`

The constructors create a new pixmap from the specified XPM data.

## Member Function Documentation

void Fl_Pixmap::color_average | ( | Fl_Color | c,
|  | float | i
| ) |  | `[virtual]`

The color_average() method averages the colors in the image with the FLTK color value c.

The i argument specifies the amount of the original image to combine with the color, so a value of 1.0 results in no color blend, and a value of 0.0 results in a constant image of the specified color. The original image data is not altered by this method.

Reimplemented from Fl_Image.

Fl_Image * Fl_Pixmap::copy | ( | int | W,
|  | int | H
| ) |  | `[virtual]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

Fl_Image* Fl_Pixmap::copy | ( |  | ) | `[inline]`

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

void Fl_Pixmap::desaturate | ( |  | ) | `[virtual]`

The desaturate() method converts an image to grayscale.

If the image contains an alpha channel (depth = 4), the alpha channel is preserved. This method does not alter the original image data.

Reimplemented from Fl_Image.

void Fl_Pixmap::draw | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | cx = `0`,
|  | int | cy = `0`
| ) |  | `[virtual]`

Draws the image with a bounding box.

This form specifies a bounding box for the image, with the origin (upper-lefthand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Image.

void Fl_Pixmap::draw | ( | int | X,
|  | int | Y
| ) |  | `[inline]`

Draws the image.

This form specifies the upper-lefthand corner of the image.

Reimplemented from Fl_Image.

void Fl_Pixmap::label | ( | Fl_Widget * | widget | ) | `[virtual]`

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Pixmap::label | ( | Fl_Menu_Item * | m | ) | `[virtual]`

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Pixmap::uncache | ( |  | ) | `[virtual]`

If the image has been cached for display, delete the cache data.

This allows you to change the data used for the image and then redraw it without recreating an image object.

Reimplemented from Fl_Image.

The documentation for this class was generated from the following files:

- Fl_Pixmap.H
- Fl_Pixmap.cxx